Subject: Re: [PATCH -next] zram: fix build errors, depends on BLOCK

From: Nitin Gupta <[email-masked]>
Date: Thu, 24 Jun 2010 21:17:30 +0530

On 06/24/2010 08:02 PM, Randy Dunlap wrote:
> On 06/23/10 21:36, Nitin Gupta wrote:
>> On 06/24/2010 08:57 AM, Randy Dunlap wrote:
>>> From: Randy Dunlap <[email-masked]>
>>>
>>> Fix 49 zram build errors in one swoop.  Examples:
>>>
>>> drivers/staging/zram/zram_drv.c:225: error: dereferencing pointer to incomplete type
>>> drivers/staging/zram/zram_drv.c:226: error: implicit declaration of function 'bio_for_each_segment'
>>> drivers/staging/zram/zram_drv.c:226: error: expected ';' before '{' token
>>> drivers/staging/zram/zram_drv.c:281: error: implicit declaration of function 'bio_endio'
>>> drivers/staging/zram/zram_drv.c:285: error: implicit declaration of function 'bio_io_error'
>>> drivers/staging/zram/zram_drv.c:545: error: implicit declaration of function 'set_capacity'
>>> drivers/staging/zram/zram_drv.c:548: error: implicit declaration of function 'queue_flag_set_unlocked'
>>> drivers/staging/zram/zram_drv.c:548: error: 'QUEUE_FLAG_NONROT' undeclared (first use in this function)
>>> drivers/staging/zram/zram_drv.c:548: error: dereferencing pointer to incomplete type
>>>
>>
>>
>> Thanks for the fix. Strangely, I didn't get any of these
>> errors when I compiled against mainline.
> 
> This patch isn't against mainline, it's against linux-next.
> See subject's "[PATCH -next]" hint.
> 

Randy, I understood that your patch is against linux-next. I was just wondering
why the error did not come up when I applied and tested this whole zram thing
against linux mainline.

Anyways, thanks for the fix.
Nitin